{% extends "base_login.html" %}
{% load i18n %}

{% block content %}
    <div class="col-xs-12 col-sm-12 col-md-7 col-lg-8 hidden-xs hidden-sm">
        <h1 class="txt-color-red login-header-big">Truffe</h1>
        <div class="hero">

            <div class="pull-left login-desc-box-l">
                <h4 class="paragraph-header">{% trans "L'intranet de l'AGEPoly. Version 2 !" %}</h4>

                {% blocktrans %}
                    Grâce à Truffe 2 tu peux gérer ta commission, y compris ses accréditations, les documents comptables, etc.
                    Tu peux aussi réserver du matériel ou une salle de l'AGEPoly.
                {% endblocktrans %}

                <h1 class="txt-color-red login-header-big" style="margin-top: 20px;"> L’AGEPoly aussi prend des vacances</h1>
                <h4 class="paragraph-header">les prêts reprendront en même temps que les cours ! En cas d’urgence vous pouvez contacter logistique@agepoly.ch</h4>

                <div class="login-app-icons">
                    <a href="https://agepoly.ch" class="btn btn-danger btn-sm">{% trans "Site de l'AGEPoly" %}</a>
                </div>
            </div>

            <img src="{{MEDIA_URL}}img/agep_logo.png" class="pull-right display-image" alt="" style="margin-top: 60px; width:210px">
        </div>

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                <h5 class="about-heading">{% trans "Ceci est une nouvelle version de Truffe" %}</h5>
                <p>
                    {% blocktrans %}
                        Cette version est en production mais est développée en permanance, des choses peuvent ne pas fonctionner. Signales les bugs aux autorités compétentes ! (truffe [at] agepoly.ch).
                    {% endblocktrans %}
                </p>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                <h5 class="about-heading">{% trans "Connexion" %}</h5>
                <p>
                    {% blocktrans %}
                        Tu veux probablement te logger avec ton compte Tequila. Les comptes Truffe sont réservés aux externes qui n'ont pas de compte Tequila.
                        Clique sur le bouton bleu en dessous du formulaire de login !
                    {% endblocktrans %}
                </p>
            </div>
        </div>
    </div>

    <div class="col-xs-12 col-sm-12 col-md-5 col-lg-4">
        <div class="well no-padding" id="compte-truffe" style="display: none;">
            <form action="" method="POST" id="login-form" class="smart-form client-form">
                {% csrf_token %}
                <header>
                    {% trans "Se connecter (compte Truffe)" %}
                </header>

                <fieldset>
                    <section>
                        <label class="label">{% trans "Username" %}</label>
                        <label class="input">
                            <i class="icon-append fa fa-user"></i>
                            <input type="text" name="username">
                            <b class="tooltip tooltip-top-right"><i class="fa fa-user txt-color-teal"></i> {% trans "Entrez votre username" %}</b>
                        </label>
                    </section>

                    <section>
                        <label class="label">{% trans "Mot de passe" %}</label>
                        <label class="input">
                            <i class="icon-append fa fa-lock"></i>
                            <input type="password" name="password">
                            <b class="tooltip tooltip-top-right"><i class="fa fa-lock txt-color-teal"></i> {% trans "Entrez votre mot de passe" %}</b>
                        </label>
                        <div class="note">
                            <a href="#" onclick="$('#password-reset-form').show(); $('#login-form').hide();">{% trans "Mot de passe oublié?" %}</a>
                        </div>
                    </section>

                </fieldset>
                <footer>
                    <a href="{% url 'app.tequila.login' %}?next={{next}}" class="btn btn-default">{% trans "Se connecter via Tequila" %}</a>
                    <button type="submit" class="btn btn-primary">{% trans "Connexion" %}</button>
                </footer>
            </form>

            <form action="{% url "password_reset" %}" method="POST" id="password-reset-form" class="smart-form client-form" style="display: none;">
                {% csrf_token %}
                <header>
                    {% trans "Mot de passe oublié" %}
                </header>

                <fieldset>
                    {{reset_form}}
                    <div class="note">
                        <a href="#" onclick="$('#password-reset-form').hide(); $('#login-form').show();">{% trans "Mot de passe retrouvé !" %}</a>
                    </div>
                </fieldset>
                <footer>
                    <button type="submit" class="btn btn-primary">{% trans "Récupérer le mot de passe" %}</button>
                </footer>
            </form>
        </div>

        <div class="well no-padding" id="compte-tequila">
            <form action="" method="POST" id="login-form" class="smart-form client-form">
                <header>
                    {% trans "Se connecter" %}
                </header>

                <fieldset>
                    <section>
                        <label class="label">
                            {% blocktrans %}
                                La connexion se fait via Tequila, le service de login de<br /> l'EPFL.
                            {% endblocktrans %}
                        </label>
                    </section>

                    <section>
                        <label class="label">
                            {% blocktrans %}
                                Si tu n'as pas de compte Tequila, tu peux te logger via<br /> un compte Truffe.
                            {% endblocktrans %}
                        </label>
                        <label class="input">
                            <button class="btn btn-xs btn-info" onclick="$('#compte-tequila').hide(); $('#compte-truffe').show(); return false;">{% trans "Connexion non-Tequila" %}</button>
                        </label>
                    </section>

                </fieldset>

                <footer>
                    <a href="{% url 'app.tequila.login' %}?next={{next}}" class="btn btn-primary">{% trans "Se connecter via Tequila" %}</a>
                </footer>
            </form>

        </div>
    </div>
{% endblock %}
